# Uses of Interface
com.sun.source.tree.ClassTree

Packages that use ClassTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of ClassTree in com.sun.source.tree

Methods in com.sun.source.tree that return ClassTree
Modifier and Type
Method
Description
`ClassTree`
NewClassTree.`getClassBody()`
Returns the class body if an anonymous class is being instantiated, and `null` otherwise.
Methods in com.sun.source.tree with parameters of type ClassTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitClass​(ClassTree node, P p)`
Visits a ClassTree node.

## Uses of ClassTree in com.sun.source.util

Methods in com.sun.source.util that return ClassTree
Modifier and Type
Method
Description
`abstract ClassTree`
Trees.`getTree​(TypeElement element)`
Returns the ClassTree node for a given TypeElement.
Methods in com.sun.source.util with parameters of type ClassTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitClass​(ClassTree node, P p)`
Visits a ClassTree node.
`R`
TreeScanner.`visitClass​(ClassTree node, P p)`
Visits a ClassTree node.